pespin has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/39821?usp=email )
Change subject: bts: Run osmo-bts-trx with sched_rr priority
......................................................................
bts: Run osmo-bts-trx with sched_rr priority
use a real time prio since it really needs to do stuff in ral time with
high prio. Use lower rt prio than fake_trx since that one is the most
important piece providing clock.
Change-Id: I0251ed3ec0645617cf4e9bcc03e75c805bf1634c
---
M bts/osmo-bts.cfg
1 file changed, 3 insertions(+), 0 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/21/39821/1
diff --git a/bts/osmo-bts.cfg b/bts/osmo-bts.cfg
index e80f51b..a683a03 100644
--- a/bts/osmo-bts.cfg
+++ b/bts/osmo-bts.cfg
@@ -32,6 +32,9 @@
no login
bind 127.0.0.1
!
+cpu-sched
+ policy rr 10
+!
e1_input
e1_line 0 driver ipa
e1_line 0 port 0
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/39821?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I0251ed3ec0645617cf4e9bcc03e75c805bf1634c
Gerrit-Change-Number: 39821
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Attention is currently required from: osmith.
pespin has posted comments on this change by osmith. ( https://gerrit.osmocom.org/c/osmo-dev/+/39820?usp=email )
Change subject: all.urls: add osmo-gsm-shark
......................................................................
Patch Set 1: Code-Review+1
--
To view, visit https://gerrit.osmocom.org/c/osmo-dev/+/39820?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-dev
Gerrit-Branch: master
Gerrit-Change-Id: If4e17fac28ebae9a3e937242e3e1a40893496a4d
Gerrit-Change-Number: 39820
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: osmith <osmith(a)sysmocom.de>
Gerrit-Comment-Date: Tue, 18 Mar 2025 14:50:50 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Attention is currently required from: fixeria, osmith.
pespin has posted comments on this change by osmith. ( https://gerrit.osmocom.org/c/osmo-dev/+/39818?usp=email )
Change subject: src/_update_src_copy: move functions to top
......................................................................
Patch Set 1: Code-Review+1
--
To view, visit https://gerrit.osmocom.org/c/osmo-dev/+/39818?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-dev
Gerrit-Branch: master
Gerrit-Change-Id: I9a2b346e8e6d9a33aa4fc55add6bb9124ea2d3ed
Gerrit-Change-Number: 39818
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Comment-Date: Tue, 18 Mar 2025 14:50:13 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-dev/+/39819?usp=email )
Change subject: src/_update_src_copy: handle symlink projects
......................................................................
src/_update_src_copy: handle symlink projects
Handle projects that are symlinks to paths in other git repositories,
such as osmocom-bb_layer23 -> osmocom-bb/src/host/layer23.
Fix for:
_update_read_only_src_copy: find failed
Change-Id: Icfe701b8a237385597718374be50a8b81c6ac433
---
M src/_update_src_copy.sh
1 file changed, 41 insertions(+), 0 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-dev refs/changes/19/39819/1
diff --git a/src/_update_src_copy.sh b/src/_update_src_copy.sh
index a0ea533..f13a357 100644
--- a/src/_update_src_copy.sh
+++ b/src/_update_src_copy.sh
@@ -61,6 +61,45 @@
done
}
+# Some project are symlinks to a path in another git repository (for example
+# osmocom-bb_layer23 -> osmocom-bb/src/host/layer23). For those we need to
+# add such a symlink to the src_copy dir and then run _update_src_copy.sh on
+# the main project (osmocom-bb in the example).
+handle_symlink_proj() {
+ local linkdest
+ local git_topdir
+ local proj_main
+ local relpath
+
+ if ! [ -L "$SRC_DIR/$PROJ" ]; then
+ return
+ fi
+
+ linkdest="$(realpath "$SRC_DIR/$PROJ")"
+ git_topdir="$(cd "$linkdest" && git rev-parse --show-toplevel)"
+
+ if [ -z "$git_topdir" ]; then
+ "_update_src_copy: getting git topdir failed: $linkdest"
+ exit 1
+ fi
+
+ proj_main="$(basename "$git_topdir")"
+
+ # Create the symlink in src_copy
+ if ! [ -L "$DEST_DIR_PROJ" ]; then
+ relpath="$(realpath -s --relative-to="$git_topdir" "$linkdest")"
+ if [ -z "$relpath" ]; then
+ "_update_src_copy: getting relpath failed: $linkdest"
+ exit 1
+ fi
+ ln -s "$proj_main/$relpath" "$DEST_DIR_PROJ"
+ fi
+
+ # Copy the original project files to src_copy
+ exec sh -e "$0" "$SRC_DIR" "$proj_main" "$TIME_START"
+ # Not continuing below (exec)
+}
+
MAKE_DIR="$PWD"
SRC_DIR="$1"
PROJ="$2"
@@ -73,6 +112,8 @@
fi
DEST_DIR_PROJ="$MAKE_DIR/src_copy/$PROJ"
+handle_symlink_proj
+
COPY_LIST="$(mktemp --suffix=-osmo-dev-rsync-copylist)"
cd "$SRC_DIR/$PROJ"
--
To view, visit https://gerrit.osmocom.org/c/osmo-dev/+/39819?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: osmo-dev
Gerrit-Branch: master
Gerrit-Change-Id: Icfe701b8a237385597718374be50a8b81c6ac433
Gerrit-Change-Number: 39819
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-dev/+/39818?usp=email )
Change subject: src/_update_src_copy: move functions to top
......................................................................
src/_update_src_copy: move functions to top
Prepare to add a new function in the next patch that gets called early.
Change-Id: I9a2b346e8e6d9a33aa4fc55add6bb9124ea2d3ed
---
M src/_update_src_copy.sh
1 file changed, 14 insertions(+), 14 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-dev refs/changes/18/39818/1
diff --git a/src/_update_src_copy.sh b/src/_update_src_copy.sh
index d80b5fa..a0ea533 100644
--- a/src/_update_src_copy.sh
+++ b/src/_update_src_copy.sh
@@ -2,20 +2,6 @@
# Update the src_copy dir with all relevant files from the original git
# repository (+ submodules). Used by gen_makefile.py --autoreconf-in-src-copy.
-MAKE_DIR="$PWD"
-SRC_DIR="$1"
-PROJ="$2"
-TIME_START="$3"
-MARKER="$MAKE_DIR/.make.$PROJ.src_copy"
-
-# Don't run more than once per "make" call
-if [ "$(cat "$MARKER" 2>/dev/null)" = "$TIME_START" ]; then
- exit 0
-fi
-
-DEST_DIR_PROJ="$MAKE_DIR/src_copy/$PROJ"
-COPY_LIST="$(mktemp --suffix=-osmo-dev-rsync-copylist)"
-
update_git_dir() {
local src="$1"
local dest="$DEST_DIR_PROJ/$(echo "$src" | cut -c 3-)" # cut: remove './'
@@ -75,6 +61,20 @@
done
}
+MAKE_DIR="$PWD"
+SRC_DIR="$1"
+PROJ="$2"
+TIME_START="$3"
+MARKER="$MAKE_DIR/.make.$PROJ.src_copy"
+
+# Don't run more than once per "make" call
+if [ "$(cat "$MARKER" 2>/dev/null)" = "$TIME_START" ]; then
+ exit 0
+fi
+
+DEST_DIR_PROJ="$MAKE_DIR/src_copy/$PROJ"
+COPY_LIST="$(mktemp --suffix=-osmo-dev-rsync-copylist)"
+
cd "$SRC_DIR/$PROJ"
update_git_dirs_all
rm "$COPY_LIST"
--
To view, visit https://gerrit.osmocom.org/c/osmo-dev/+/39818?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: osmo-dev
Gerrit-Branch: master
Gerrit-Change-Id: I9a2b346e8e6d9a33aa4fc55add6bb9124ea2d3ed
Gerrit-Change-Number: 39818
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Attention is currently required from: pespin.
osmith has posted comments on this change by pespin. ( https://gerrit.osmocom.org/c/osmocom-bb/+/39817?usp=email )
Change subject: Set sched RR Priority on main thread
......................................................................
Patch Set 1: Code-Review+1
--
To view, visit https://gerrit.osmocom.org/c/osmocom-bb/+/39817?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmocom-bb
Gerrit-Branch: master
Gerrit-Change-Id: I6aa22125e7de4f472d691b271639d5bee25762cb
Gerrit-Change-Number: 39817
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Tue, 18 Mar 2025 14:07:13 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes